----------------------
--  doom3-cs2d-lua  --
----------------------
--damage changes

parse("mp_wpndmg claw 20")
parse("mp_wpndmg machete 40") 
parse("mp_wpndmg HE 100")
parse("mp_wpndmg usp 15")
parse("mp_wpndmg m249 20")
parse("mp_wpndmg p90 10")
parse("mp_wpndmg mp5 3")
parse("mp_wpndmg deagle 5")
parse("mp_wpndmg \"Rocket launcher\" 150")
parse("mp_wpndmg \"Grenade launcher\" 300")
parse("mp_zombiedmg 1")

--hooks

addhook("attack","specattack")
addhook("reload","rw")
addhook("spawn","fl")

--funcs

function specattack(id)
	if (player(id,"weapontype")==75) then
		parse("sv_sound \"weapons/fireball.ogg\"")
	end
end

function fl(id)
	if (player(id,"team")==2) then
		parse("equip "..id.." 69")
		parse("setweapon "..id.." 69")
		parse("strip "..id.." 50")
	end
end

function rw(id,mode)
	if (mode==1) then
		if (player(id,"weapontype")==1) then
			parse("sv_sound2 "..id.." \"d3wr/pistol_reload.wav\"")
		elseif (player(id,"weapontype")==10) then
			parse("sv_sound2 "..id.." \"d3wr/shotgun_startreload.wav\"")
		elseif (player(id,"weapontype")==22) then
			parse("sv_sound2 "..id.." \"d3wr/machinegun_reload.wav\"")
		elseif (player(id,"weapontype")==40) then
			parse("sv_sound2 "..id.." \"d3wr/chaingun_reload.wav\"")
		elseif (player(id,"weapontype")==48) then
			parse("sv_sound2 "..id.." \"d3wr/rckt_reload.ogg\"")
		elseif (player(id,"weapontype")==49) then
			parse("sv_sound2 "..id.." \"d3wr/bfg_reload.wav\"")
		end
	elseif (mode==2) then
		if (player(id,"weapontype")==10) then
			parse("sv_sound2 "..id.." \"d3wr/shotgun_endreload.wav\"")
		end
	end
end